| Haskell Core Libraries (Cabal package) | Contents | Index

Distribution.InstalledPackageInfo

Portability | portable
Stability | alpha
Maintainer | libraries@haskell.org

Description
This is the information about an installed package that is communicated to the `hc-pkg` program in order to register a package. `ghc-pkg` now consumes this package format (as of verison 6.4).
Documentation
data InstalledPackageInfo

Constructors

InstalledPackageInfo |

package :: PackageIdentifier |
license :: License |
copyright :: String |
maintainer :: String |
author :: String |
stability :: String |
homepage :: String |
pkgUrl :: String |
description :: String |
category :: String |
exposed :: Bool |
exposedModules :: [String] |
hiddenModules :: [String] |
importDirs :: [FilePath] |
libraryDirs :: [FilePath] |
hsLibraries :: [String] |
extraLibraries :: [String] |
extraGHCiLibraries :: [String] |
includeDirs :: [FilePath] |
includes :: [String] |
depends :: [PackageIdentifier] |
hugsOptions :: [Opt] |
ccOptions :: [Opt] |
ldOptions :: [Opt] |
frameworkDirs :: [FilePath] |
frameworks :: [String] |
haddockInterfaces :: [FilePath] |
haddockHTMLs :: [FilePath] |

Instances

Read InstalledPackageInfo
Show InstalledPackageInfo

data ParseResult a

Constructors

ParseFailed PError |
ParseOk a |

Instances

Monad ParseResult
Show a => Show (ParseResult a)

emptyInstalledPackageInfo :: InstalledPackageInfo
parseInstalledPackageInfo :: String -> ParseResult InstalledPackageInfo
showInstalledPackageInfo :: InstalledPackageInfo -> String
showInstalledPackageInfoField :: String -> Maybe (InstalledPackageInfo -> String)
Produced by Haddock version 0.7